/** 缓存管理 */
export declare class Cache<T> {
    private readonly map;
    /**
     * 设置缓存
     * @param key - 键
     * @param value - 值
     * @param expire - 有效期(毫秒)
     */
    set(key: string, value: T, expire: number): void;
    /**
     * 获取缓存，不存在返回undefined
     * @param key - 键
     */
    get(key: string): T | undefined;
    /**
     * 删除缓存，返回是否删除成功
     * @param key - 键
     */
    delete(key: string): boolean;
    /**
     * 缓存是否存在
     * @param key - 键
     */
    has(key: string): boolean;
}
//# sourceMappingURL=cache.d.ts.map